package com.pannk.demo.service;

import com.pannk.demo.controller.Page;
import com.pannk.demo.entity.SysUserEntity;

import java.util.List;
import java.util.Map;

/**
 * Created by wolf on 20-11-9.
 */
public interface SysUserService {

    /**
     * 查询列表
     *
     * @return
     */
    List<SysUserEntity> list();

    /**
     * 保存
     *
     * @param sysUserEntity
     * @return
     */
    SysUserEntity save(SysUserEntity sysUserEntity);


    /**
     * 更新
     *
     * @param sysUserEntity
     */
    void update(SysUserEntity sysUserEntity);

    /**
     * 删除
     *
     * @param id
     */
    void delete(Long id);

    /**
     * 分页查询
     *
     * @param page
     * @return
     */
    Page page(Page page);

    /**
     * 批量删除
     *
     * @param ids
     */
    void batchDelete(List<Long> ids);

    /**
     * 查询用户
     *
     * @param userName
     * @return
     */
    List<SysUserEntity> listByName(String userName);

    /**
     * 条件查询
     *
     * @param cond
     * @return
     */
    List<SysUserEntity> listByCond(Map<String, Object> cond);
}
